<%@ page language="C#" masterpagefile="~/Common/Panel1.master" autoeventwireup="true" inherits="Org_EditPage, nServiceDeploy" title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="pathCell">
                <a href="OrgListPage.aspx" class="pathLink">
                    <asp:Localize id="L1" runat="server" 
                        Text="<%$ Resources:org, Organizations %>" />
                </a>
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
	<table width="50%" align="center" border="0" cellspacing="4" cellpadding="0">
		<tr>
			<td class="formTitle" colspan="2">
                <asp:label id="formTitle" runat="server"></asp:label>
			</td>
		</tr>
		<tr>
			<td colspan="2" class="formError">
				<asp:label id="errMsgLabel" runat="server"></asp:label>
				<asp:ValidationSummary ID="ValidationSummary1" runat="server" 
				    DisplayMode="SingleParagraph" />
			</td>
		</tr>
		<tr>
			<td class="requiredFieldLabel">
                <asp:Localize id="Localize1" runat="server" 
                    Text="<%$ Resources:org, Name %>" />:
			</td>
			<td>
			    <asp:TextBox ID="nameTxt" runat="server" Columns="50" MaxLength=50 
			        TextMode="SingleLine"></asp:TextBox>
				<asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" 
				    ControlToValidate="nameTxt" ErrorMessage="Organization Name is Required. "  
				    Display="Dynamic">*</asp:RequiredFieldValidator>
                <asp:RegularExpressionValidator ID="RegularExpressionValidator2" runat="server" 
                    ControlToValidate="nameTxt"
                    Display="Dynamic" ErrorMessage="Allowed characters are: alpha-numeric, ampersand, space, single quote, double quote, period, underscore and hyphen;"
                    SetFocusOnError="true" ValidationExpression="^[A-Za-z0-9_&\.\-\'\040\042]+$">*
                </asp:RegularExpressionValidator>
			</td>
		</tr>
		<tr>
			<td valign="top">
                <asp:Localize id="Localize2" runat="server" 
                    Text="<%$ Resources:org, Description %>" />:
			</td>
			<td>
                <asp:TextBox ID="descTxt" runat="server" MaxLength="250" 
                    TextMode="MultiLine" Columns=50 Rows=4></asp:TextBox>
            </td>
		</tr>
		<tr>
			<td colspan="2" class="formCommand" align="center">
                <input type="submit" id="saveButton" runat="server"
                    value="<%$ Resources:org, Save %>" />
            </td>
		</tr>
	</table>
</asp:Content>

		


