<%@ page language="C#" masterpagefile="~/Common/Panel2a.master" autoeventwireup="true" inherits="Org_ListPage, nServiceDeploy" title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="pathCell">
                <a href="OrgListPage.aspx" class="pathLink">
                    <asp:Localize id="L1" runat="server" 
                        Text="<%$ Resources:org, Organizations %>" />
                </a>
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
	<table cellSpacing="0" cellPadding="4" width="100%" border="0">
		<tr id="newOrgTr" runat="server">
		    <td class="leftCell">
		        <a href="OrgEditPage.aspx" class="leftLink">
                    <asp:Localize id="Localize1" runat="server" 
                        Text="<%$ Resources:org, New_Organization %>" />
		        </a>  
		    </td>
		</tr>	
	</table>  
</asp:content> 

<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder3" Runat="Server" >
    <table width="100%" cellpadding="2" cellspacing="0" border="0">
        <tr id="errMsgLabelTr" runat="server">
            <td class="formError">
                <asp:label id="errMsgLabel" runat="server"></asp:label>
            </td>
        </tr>
    </table>
    <asp:GridView id="orgGrid" runat="server" Width="100%" CellPadding="4"
        BorderWidth="0" GridLines="None" PageSize="15" 
        AutoGenerateColumns="False" AllowSorting="True" AllowPaging="True"
        OnSorting="orgGrid_Sorting" OnPageIndexChanging="orgGrid_PageIndexChanging">
        <HeaderStyle HorizontalAlign="Left" />
        <Columns>
            <asp:HyperLinkField 
                DataNavigateUrlFields="org_id" 
                DataTextField = "org_id" 
                HeaderText ="<%$ Resources:org, Org_ID %>"  
                DataNavigateUrlFormatString="OrgDetailPage.aspx?orgID={0}" 
                SortExpression="org_id" >
                <ItemStyle CssClass="listData" />
            </asp:HyperLinkField>
            <asp:BoundField DataField="org_name"  
                HeaderText="<%$ Resources:org, Name %>" 
                SortExpression="org_name" >
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField DataField="org_description"  
                HeaderText="<%$ Resources:org, Description %>" 
                SortExpression="org_description" >
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField DataField="org_updated_on" 
                HeaderText="<%$ Resources:org, Updated_On %>" 
                SortExpression="org_updated_on">   
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
        </Columns>
    </ASP:GridView>
    <asp:HiddenField ID="sortDirectionHidden" runat="server" />
    <asp:HiddenField ID="sortExpressionHidden" runat="server" />
</asp:Content> 