<%@ page language="C#" masterpagefile="~/Common/Panel2b.master" autoeventwireup="true" inherits="Product_Page, nServiceDeploy" title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="pathCell">
                <asp:HyperLink id="hpl1" runat="server"
                    NavigateUrl="ProductPage.aspx" CssClass="pathLink"
                    Text="<%$ Resources:product, Products %>" />
            </td>
            <td id="searchTd" runat="server" class="pathCell" align="right">
                <asp:Localize id="Localize1" runat="server" 
                    Text="<%$ Resources:product, Search %>" />
                
                <asp:DropDownList ID="targetList" runat="server">
                    <asp:ListItem Text="<%$ Resources:product, Articles %>" Value="1" />
                    <asp:ListItem Text="<%$ Resources:product, Products %>" Value="2" />
                </asp:DropDownList>

                <asp:Localize id="Localize2" runat="server" 
                    Text="<%$ Resources:product, SearchFor %>" />
                
                <asp:TextBox ID="KeywordText" runat="server" Columns="18" />
                <asp:Button ID="SearchButton" runat="server" 
                    Text="<%$ Resources:product, SearchGo %>" 
                    OnClick="SearchButton_Click" />
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
            <td valign="top" class="leftCellNoB">
                <asp:TreeView ID="pdTree" runat="server" 
                    OnSelectedNodeChanged="pdTree_SelectedNodeChanged" 
                    OnTreeNodePopulate="pdTree_TreeNodePopulate"
                    ImageSet="Msdn" NodeIndent="16" 
                    EnableClientScript="true"
                    PopulateNodesFromClient="true"  
                    NodeWrap="True">
                    <ParentNodeStyle Font-Bold="False" />
                    <HoverNodeStyle Font-Underline="True" />
                    <SelectedNodeStyle BackColor="WhiteSmoke" 
                        BorderColor="Black" BorderStyle="Solid" BorderWidth="1px"
                        Font-Underline="False" HorizontalPadding="3px" 
                        VerticalPadding="1px" />
                    <NodeStyle 
                        HorizontalPadding="4px" NodeSpacing="1px" 
                        VerticalPadding="2px" />
                </asp:TreeView>
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder3" Runat="Server">
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="listDataNoB">
                <asp:Label ID="errMsgLabel" runat="server" ForeColor="Red"></asp:Label>
            </td>
        </tr>
    </table>
    <table cellSpacing="0" cellPadding="0" width="100%" border="0" id="catTable1" runat="server">
        <tr>
            <td class="viewTitle">
                <asp:Label ID="catNameLabel" runat="server"></asp:Label>
            </td>
            <td id="catCmdsTd" runat="server" class="viewTitle" align="right">
                <asp:HyperLink id="editCatLink" runat="server"
                    Text="<%$ Resources:product, Edit %>" /> 
                | 
                <asp:HyperLink id="moveCatLink" runat="server"
                    Text="<%$ Resources:product, Move %>" />
                <asp:Label ID="barAfterMoveCat" runat="server" Text="|"></asp:Label> 
                <asp:HyperLink id="delCatLink" runat="server"
                    Text="<%$ Resources:product, Delete %>" />
                <asp:Label ID="barAfterDelCat" runat="server" Text="|"></asp:Label> 
                <asp:HyperLink id="addCatLink" runat="server"
                    Text="<%$ Resources:product, Add_Sub_Category %>" />
                |
                <asp:HyperLink id="addProductLink" runat="server"
                    Text="<%$ Resources:product, Add_Product %>" />
                | 
                <asp:HyperLink id="addCatWizLink" runat="server"
                    Text="<%$ Resources:product, Add_QA_Wizard %>" />
                |
                <asp:HyperLink id="addCatArtLink" runat="server"
                    Text="<%$ Resources:product, Add_Article %>" />
            </td>
        </tr>
    </table>
    <table cellSpacing="0" cellPadding="0" width="100%" border="0" id="catTable2" runat="server">
        <tr>
            <td class="viewLabel" width="25%">
                <asp:Localize id="Localize3" runat="server" 
                    Text="<%$ Resources:product, Category_ID %>" />
            </td>
            <td class="viewLabel" width="25%">
                <asp:Localize id="Localize4" runat="server" 
                    Text="<%$ Resources:product, User_Group %>" />
            </td>
            <td class="viewLabel" width="25%">
                <asp:Localize id="Localize5" runat="server" 
                    Text="<%$ Resources:product, Technician_Group %>" />
            </td>
            <td class="viewLabelNoR" width="25%">
                <asp:Localize id="Localize6" runat="server" 
                    Text="<%$ Resources:product, Administrator_Group %>" />
            </td>
        </tr>
        <tr>
            <td class="viewData">
                <asp:Label ID="catIDLabel" runat="server"></asp:Label>&nbsp;
            </td>
            <td class="viewData" valign="top">
                <asp:Literal ID="userGroupLiteral" runat="server"></asp:Literal>&nbsp;
            </td>
            <td class="viewData" valign="top">
                <asp:Literal ID="techGroupLiteral" runat="server"></asp:Literal>&nbsp;
            </td>
            <td class="viewDataNoR" valign="top">
                <asp:Literal ID="adminGroupLiteral" runat="server"></asp:Literal>&nbsp;
            </td>
        </tr>
        <tr>
            <td class="viewLabelNoR" colspan="4">
                <asp:Localize id="Localize7" runat="server" 
                    Text="<%$ Resources:product, Keywords %>" />
            </td>
        </tr>
        <tr>
            <td class="viewDataNoR" colspan="4">
                <asp:Label ID="catKeywordsLabel" runat="server"></asp:Label>&nbsp;
            </td>
        </tr>
    </table>
    <table cellSpacing="0" cellPadding="0" width="100%" border="0" id="catTable3" runat="server">
        <tr>
            <td class="viewLabelNoR" colspan="4">
                <asp:Localize id="Localize8" runat="server" 
                    Text="<%$ Resources:product, Description %>" />
            </td>
        </tr>
        <tr>
            <td class="viewDataNoR" colspan="4">
                <asp:Label ID="catDescLabel" runat="server"></asp:Label>&nbsp;
            </td>
        </tr>
    </table>
    
    <table cellSpacing="0" cellPadding="0" width="100%" border="0" id="pdTable1" runat="server">
        <tr>
            <td class="viewTitle">
                <asp:Label ID="productNameLabel" runat="server"></asp:Label>
            </td>
            <td id="pdCmdsTd" runat="server" class="viewTitle" align="right">
                <asp:HyperLink id="editProductLink" runat="server"
                    Text="<%$ Resources:product, Edit %>" /> 
                |
                <asp:HyperLink id="moveProductLink" runat="server"
                    Text="<%$ Resources:product, Move %>" /> 
                |
                <asp:HyperLink id="delProductLink" runat="server"
                    Text="<%$ Resources:product, Delete %>" /> 
                |
                <asp:HyperLink id="addProductArtLink" runat="server"
                    Text="<%$ Resources:product, Add_Article %>" /> 
                |
                <asp:HyperLink id="addProductWizLink" runat="server"
                    Text="<%$ Resources:product, Add_QA_Wizard %>" /> 
            </td>
        </tr>
    </table>
    <table cellSpacing="0" cellPadding="0" width="100%" border="0" id="pdTable2" runat="server">
        <tr>
            <td class="viewLabel" width="25%">
                <asp:Localize id="Localize9" runat="server" 
                    Text="<%$ Resources:product, Product_ID %>" />
            </td>
            <td class="viewLabel" width="25%">
                <asp:Localize id="Localize10" runat="server" 
                    Text="<%$ Resources:product, Manufacturer %>" />
            </td>
            <td class="viewLabelNoR" width="50%" colspan="2">
                <asp:Localize id="Localize11" runat="server" 
                    Text="<%$ Resources:product, Item_Number %>" />
            </td>
        </tr>
        <tr>
            <td class="viewData">
                <asp:Label ID="productIDLabel" runat="server"></asp:Label>&nbsp;
            </td>
            <td class="viewData">
                <asp:HyperLink ID="makerLink" runat="server"></asp:HyperLink>&nbsp;
            </td>
            <td class="viewDataNoR" colspan="2">
                <asp:Label ID="itemNumberLabel" runat="server"></asp:Label>&nbsp;
            </td>
        </tr>
        <tr>
            <td class="viewLabelNoR" colspan="4">
                <asp:Localize id="Localize12" runat="server" 
                    Text="<%$ Resources:product, Keywords %>" />
            </td>
        </tr>
        <tr>
            <td class="viewDataNoR" colspan="4">
                <asp:Label ID="keywordsLabel" runat="server"></asp:Label>&nbsp;
            </td>
        </tr>
    </table>
    <table cellSpacing="0" cellPadding="0" width="100%" border="0" id="pdTable3" runat="server">
        <tr>
            <td class="viewLabelNoR" colspan="4">
                <asp:Localize id="Localize13" runat="server" 
                    Text="<%$ Resources:product, Description %>" />
            </td>
        </tr>
        <tr>
            <td class="viewDataNoR" colspan="4">
                <asp:Label ID="productDescLabel" runat="server"></asp:Label>&nbsp;
            </td>
        </tr>
    </table>
    
    <table id="wizTable" runat="server" cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="viewLabelNoR">
                <asp:Localize id="Localize14" runat="server" 
                    Text="<%$ Resources:product, QA_Wizards %>" />
            </td>
        </tr>
        <tr>
            <td class="viewDataNoR">
                <asp:Literal ID="wizLinksLiteral" runat="server"></asp:Literal>&nbsp;
            </td>
        </tr>
    </table>
    
    <table id="articleHeader" runat="server" cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr><td>&nbsp;</td></tr>
        <tr>
            <td class="listTitle2">
                <asp:Localize id="Localize15" runat="server" 
                    Text="<%$ Resources:product, Articles %>" />
            </td>
        </tr>
    </table>
    <asp:GridView ID="articleGrid" runat="server" Width="100%" CellPadding="4"
        BorderWidth="0" GridLines="None" PageSize="15" 
        AutoGenerateColumns="False" 
        AllowSorting="True" OnSorting="articleGrid_Sorting" >
        <HeaderStyle HorizontalAlign="Left" />
        <Columns>
            <asp:HyperLinkField 
                DataNavigateUrlFields="art_id,ownerType,ownerID" 
                DataNavigateUrlFormatString=
                    "../Article/ArtDetailPage.aspx?artID={0}&ownerType={1}&ownerID={2}"
                DataTextField="art_id" 
                HeaderText="<%$ Resources:product, Article_ID %>" 
                SortExpression="art_id">
                <ItemStyle CssClass="listData" />
            </asp:HyperLinkField>
            <asp:BoundField 
                DataField="art_title" 
                HeaderText="<%$ Resources:product, Title %>" 
                SortExpression="art_title">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="art_views" 
                HeaderText="<%$ Resources:product, Views %>" 
                SortExpression="art_views">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="art_up_votes" 
                HeaderText="<%$ Resources:product, Up_Votes %>" 
                SortExpression="art_up_votes">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="art_total_votes" 
                HeaderText="<%$ Resources:product, Total_Votes %>" 
                SortExpression="art_total_votes">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
        </Columns>
    </asp:GridView>
    <asp:HiddenField ID="artSortDirHidden" runat="server" />
    <asp:HiddenField ID="artSortExprHidden" runat="server" />
</asp:Content>
