<%@ page language="C#" masterpagefile="~/Common/Panel1.master" autoeventwireup="true" inherits="Product_SearchPage, nServiceDeploy" title="Untitled Page" %>
    
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="pathCell">
                <asp:label id="pathLabel" Runat="server">Products</asp:label>
            </td>
            <td class="pathCell" align="right">
                <asp:Localize id="Localize1" runat="server" 
                    Text="<%$ Resources:product, Search %>" />

                <asp:DropDownList ID="targetList" runat="server">
                    <asp:ListItem Text="<%$ Resources:product, Articles %>" Value="1" />
                    <asp:ListItem Text="<%$ Resources:product, Products %>" Value="2" />
                </asp:DropDownList>

                <asp:Localize id="Localize2" runat="server" 
                    Text="<%$ Resources:product, SearchFor %>" />

                <asp:TextBox ID="KeywordText" runat="server" Columns="18" />
                <asp:Button ID="SearchButton" runat="server" 
                    Text="<%$ Resources:product, SearchGo %>" 
                    OnClick="SearchButton_Click" />
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td></td>
            <td class="formError" valign="top">
                <asp:Label ID="errMsgLabel" runat="server"></asp:Label>
            </td>
        </tr>
    </table>
    <asp:GridView ID="articleGrid" runat="server" Width="100%" CellPadding="4"
        BorderWidth="0" GridLines="None" PageSize="15" 
        AutoGenerateColumns="False" AllowSorting="True" AllowPaging= "True"
        OnSorting="articleGrid_Sorting" OnPageIndexChanging="articleGrid_PageIndexChanging"
        EmptyDataText="No record found">
        <HeaderStyle HorizontalAlign="Left" />
        <Columns>
            <asp:HyperLinkField 
                DataNavigateUrlFields="art_id" 
                DataNavigateUrlFormatString="../Article/ArtDetailPage.aspx?artID={0}"
                DataTextField="art_id" 
                HeaderText="<%$ Resources:product, Article_ID %>" 
                SortExpression="art_id">
                <ItemStyle CssClass="listData" />
            </asp:HyperLinkField>
            <asp:BoundField 
                DataField="art_title" 
                HeaderText="<%$ Resources:product, Title %>" 
                SortExpression="art_title">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="art_views" 
                HeaderText="<%$ Resources:product, Views %>" 
                SortExpression="art_views">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="art_up_votes" 
                HeaderText="<%$ Resources:product, Up_Votes %>" 
                SortExpression="art_up_votes">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="art_total_votes" 
                HeaderText="<%$ Resources:product, Total_Votes %>" 
                SortExpression="art_total_votes">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
        </Columns>
    </asp:GridView>
    <asp:HiddenField ID="artSortDirHidden" runat="server" />
    <asp:HiddenField ID="artSortExprHidden" runat="server" />

    <asp:GridView ID="productGrid" runat="server" Width="100%" CellPadding="4"
        BorderWidth="0" GridLines="None" PageSize="15" 
        AutoGenerateColumns="False" 
        AllowSorting="True" OnSorting="productGrid_Sorting"
        AllowPaging= "True" OnPageIndexChanging="productGrid_PageIndexChanging" 
        EmptyDataText="<%$ Resources:product, No_record_found %>">
        <HeaderStyle HorizontalAlign="Left" />
        <Columns>
            <asp:TemplateField 
                HeaderText="<%$ Resources:product, Name %>" 
                SortExpression="pd_name">
                <ItemTemplate>
                    <a href='ProductPage.aspx?pdID=<%# DataBinder.Eval(Container.DataItem, "pd_id") %>'>
					    <%# DataBinder.Eval(Container.DataItem, "pd_name")%>
				    </a>
                </ItemTemplate>
                <ItemStyle CssClass="listData" />
            </asp:TemplateField>
            <asp:BoundField 
                DataField="pd_maker_id" 
                HeaderText="<%$ Resources:product, Manufacturer %>" 
                SortExpression="pd_maker_id">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="pd_item_number" 
                HeaderText="<%$ Resources:product, Item_Number %>" 
                SortExpression="pd_item_number">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="pd_description" 
                HeaderText="<%$ Resources:product, Description %>" 
                SortExpression="pd_description">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
        </Columns>
    </asp:GridView>
    <asp:HiddenField ID="productSortDirHidden" runat="server" />
    <asp:HiddenField ID="productSortExprHidden" runat="server" />
</asp:Content>

