<%@ page language="C#" masterpagefile="~/Common/Panel1.master" autoeventwireup="true" inherits="Rate_EditPage, nServiceDeploy" title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="pathCell">
                <asp:HyperLink id="hl1" runat="server" CssClass="pathLink" 
                    NavigateUrl="RateListPage.aspx"
                    Text="<%$ Resources:rate, ServiceRates %>" />
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
	<table width="60%" align="center" border="0" cellspacing="4" cellpadding="0">
        <tr>
            <td>
                <table width="100%" align="center" border="0" cellspacing="4" cellpadding="0">
		            <tr>
			            <td class="formTitle" colspan="2">
                            <asp:label id="formTitle" runat="server"></asp:label>
                            <asp:HiddenField ID="selectedServiceID" runat="server" />
			            </td>
		            </tr>
		            <tr>
			            <td colspan="2" class="formError">
				            <asp:label id="errMsgLabel" runat="server"></asp:label>
				            <asp:ValidationSummary ID="ValidationSummary1" runat="server" 
				                DisplayMode="SingleParagraph" />
			            </td>
		            </tr>
                </table>
                <asp:Wizard ID="Wizard1" runat="server" ActiveStepIndex="0" 
                    DisplaySideBar="False" Width="100%" NavigationStyle-CssClass="formCommand" 
                    OnNextButtonClick="NextButton_Click" 
                    OnFinishButtonClick="FinishButton_Click">
                    <WizardSteps>
                        <asp:WizardStep ID="WizardStep1" runat="server" Title="Step 1" StepType="Start">
                            <table width="100%" align="center" border="0" cellspacing="4" cellpadding="0">
                                <tr>
                                    <td>
                                        <asp:Localize id="Localize1" runat="server" 
                                            Text="<%$ Resources:rate, RateSelectServiceHint %>" />
                                        <br />
                                        <asp:TreeView ID="srvTree" runat="server" 
                                            OnTreeNodePopulate="srvTree_TreeNodePopulate"
                                            ImageSet="Msdn" NodeIndent="16" 
                                            EnableClientScript="true"
                                            PopulateNodesFromClient="true"  
                                            NodeWrap="True">
                                            <ParentNodeStyle Font-Bold="False" />
                                            <HoverNodeStyle Font-Underline="True" />
                                            <SelectedNodeStyle BackColor="WhiteSmoke" 
                                                BorderColor="Black" BorderStyle="Solid" BorderWidth="1px"
                                                Font-Underline="False" HorizontalPadding="3px" 
                                                VerticalPadding="1px" />
                                            <NodeStyle 
                                                HorizontalPadding="4px" NodeSpacing="1px" 
                                                VerticalPadding="2px" />
                                        </asp:TreeView>
                                    </td>
                                </tr>
                            </table>
                        </asp:WizardStep>
                        <asp:WizardStep ID="WizardStep2" runat="server" Title="Step 2" StepType="Finish">
                            <table width="100%" align="center" border="0" cellspacing="4" cellpadding="0">
                                <tr>
                                    <td align="right">
                                        <asp:Localize id="Localize3" runat="server" 
                                            Text="<%$ Resources:rate, Service %>" />:
                                    </td>
                                    <td nowrap="nowrap">
                                        <asp:Label ID="serviceNameLabel" runat="server"></asp:Label>
                                    </td>
                                </tr>  
                                <tr>
                                    <td align="right">
                                        <asp:Localize id="Localize8" runat="server" 
                                            Text="<%$ Resources:rate, Technician %>" />:
                                    </td>
                                    <td>
                                        <asp:DropDownList ID="userDdl" runat="server"></asp:DropDownList>
                                    </td>
                                </tr>  
                                <tr>
                                    <td align="right">
                                        Rate Name:
                                    </td>
                                    <td>
                                        <asp:TextBox ID="rateNameTxt" runat="server" Columns="30" 
                                            MaxLength="50" TextMode="singleLine" />
                                    </td>
                                </tr>
                                <tr>
                                    <td align="right">
                                        Rate:
                                    </td>
                                    <td>
                                        <asp:TextBox ID="rateValueTxt" runat="server" Columns="30" 
                                            MaxLength="8" TextMode="singleLine" />
                                        (e.g. 1.23)
                                    </td>
                                </tr>
	                        </table>            
	                    </asp:WizardStep>
                    </WizardSteps>
                </asp:Wizard>
            </td>
        </tr>
	</table>
</asp:Content>

		


