<%@ page language="C#" masterpagefile="~/Common/Panel1.master" autoeventwireup="true" inherits="Forum_SearchPage, nServiceDeploy" title="Untitled Page" %>
    
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="pathCell">
                <asp:Localize id="L1" runat="server" 
                    Text="<%$ Resources:forum, Forum_Search_Results %>" />
            </td>
            <td class="pathCell" align="right">
                <asp:Localize id="Localize1" runat="server" 
                    Text="<%$ Resources:forum, Search %>" />
                <asp:TextBox ID="KeywordText" runat="server" Columns="18"></asp:TextBox>
                <asp:Button ID="SearchButton" runat="server" 
                    Text="<%$ Resources:forum, Go %>" 
                    OnClick="SearchButton_Click" />
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="formError" valign="top">
                <asp:Label ID="errMsgLabel" runat="server"></asp:Label>
            </td>
        </tr>
    </table>
    <asp:GridView ID="articleGrid" runat="server" Width="100%" CellPadding="4"
        BorderWidth="0" GridLines="None" PageSize="15" 
        AutoGenerateColumns="False" AllowSorting="True" AllowPaging= "True"
        OnSorting="articleGrid_Sorting" OnPageIndexChanging="articleGrid_PageIndexChanging"
        EmptyDataText="<%$ Resources:forum, No_record_found %>">
        <HeaderStyle HorizontalAlign="Left" />
        <Columns>
            <asp:HyperLinkField 
                DataNavigateUrlFields="art_kb_id,art_id" 
                DataNavigateUrlFormatString="TopicPage.aspx?topicID={0}#{1}"
                DataTextField="art_title" 
                HeaderText="<%$ Resources:forum, Topic %>" 
                SortExpression="art_title">
                <ItemStyle CssClass="listData" />
            </asp:HyperLinkField>
            <asp:BoundField 
                DataField="art_updated_on" 
                HeaderText="<%$ Resources:forum, Posted_on %>" 
                SortExpression="art_updated_on">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="usr_display_name" 
                HeaderText="<%$ Resources:forum, Author %>" 
                SortExpression="usr_display_name">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
        </Columns>
    </asp:GridView>
    <asp:HiddenField ID="artSortDirHidden" runat="server" />
    <asp:HiddenField ID="artSortExprHidden" runat="server" />
</asp:Content>

