<%@ page language="C#" masterpagefile="~/Common/Panel2b.master" autoeventwireup="true" inherits="KB_Page, nServiceDeploy" title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="pathCell">
                <a href="KbPage.aspx" class="pathLink">
                    <asp:Localize id="L1" runat="server" 
                        Text="<%$ Resources:kb, Knowledge_Base %>" />
                </a>
            </td>
            <td id="searchTd" runat="server" class="pathCell" align="right">
                <asp:Localize id="Localize1" runat="server" 
                    Text="<%$ Resources:kb, Search %>" />: 
                <asp:TextBox ID="KeywordText" runat="server" Columns="18" />
                <asp:Button ID="SearchButton" runat="server" 
                    Text="<%$ Resources:kb, Go %>" 
                    OnClick="SearchButton_Click" />
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
            <td valign="top" class="leftCellNoB">
                <asp:TreeView ID="kbTree" runat="server" 
                    OnSelectedNodeChanged="kbTree_SelectedNodeChanged" 
                    OnTreeNodePopulate="kbTree_TreeNodePopulate"
                    ImageSet="Msdn" NodeIndent="16" 
                    EnableClientScript="true"
                    PopulateNodesFromClient="true"  
                    NodeWrap="True">
                    <ParentNodeStyle Font-Bold="False" />
                    <HoverNodeStyle Font-Underline="True" />
                    <SelectedNodeStyle BackColor="WhiteSmoke" 
                        BorderColor="Black" BorderStyle="Solid" BorderWidth="1px"
                        Font-Underline="False" HorizontalPadding="3px" 
                        VerticalPadding="1px" />
                    <NodeStyle 
                        HorizontalPadding="4px" NodeSpacing="1px" 
                        VerticalPadding="2px" />
                </asp:TreeView>
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder3" Runat="Server">
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="viewTitle">
                <asp:Label ID="catNameLabel" runat="server"></asp:Label>
            </td>
            <td id="commandsTd" runat="server" class="viewTitle" align="right">
                <asp:HyperLink id="editCatLink" runat="server"
                    Text="<%$ Resources:kb, Edit %>" />
                | 
                <asp:HyperLink id="moveCatLink" runat="server"
                    Text="<%$ Resources:kb, Move %>" />
                <asp:Label ID="barAfterMoveCat" runat="server" Text="|"></asp:Label> 
                <asp:HyperLink id="delCatLink" runat="server"
                    Text="<%$ Resources:kb, Delete %>" />
                <asp:Label ID="barAfterDelCat" runat="server" Text="|"></asp:Label> 
                <asp:HyperLink id="addCatLink" runat="server"
                    Text="<%$ Resources:kb, Add_Folder %>" />
                |
                <asp:HyperLink id="addWizLink" runat="server"
                    Text="<%$ Resources:kb, Add_Wizard %>" />
                | 
                <asp:HyperLink id="addCatArtLink" runat="server"
                    Text="<%$ Resources:kb, Add_Article %>" />
            </td>
        </tr>
    </table>
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="listData">
                <asp:Label ID="errMsgLabel" runat="server" ForeColor="Red"></asp:Label>
            </td>
        </tr>
    </table>
    <table cellSpacing="0" cellPadding="0" width="100%" border="0" id="infoTable" runat="server">
        <tr>
            <td class="viewLabel" width="25%">
                <asp:Localize id="Localize8" runat="server" 
                    Text="<%$ Resources:kb, Folder_ID %>" />
            </td>
            <td class="viewLabel" width="25%">
                <asp:Localize id="Localize9" runat="server" 
                    Text="<%$ Resources:kb, User_Group %>" />
            </td>
            <td class="viewLabel" width="25%">
                <asp:Localize id="Localize10" runat="server" 
                    Text="<%$ Resources:kb, Technician_Group %>" />
            </td>
            <td class="viewLabelNoR" width="25%">
                <asp:Localize id="Localize11" runat="server" 
                    Text="<%$ Resources:kb, Administrator_Group %>" />
            </td>
        </tr>
        <tr>
            <td class="viewData">
                <asp:Label ID="catIDLabel" runat="server"></asp:Label>&nbsp;
            </td>
            <td class="viewData" valign="top">
                <asp:Literal ID="userGroupLiteral" runat="server"></asp:Literal>&nbsp;
            </td>
            <td class="viewData" valign="top">
                <asp:Literal ID="techGroupLiteral" runat="server"></asp:Literal>&nbsp;
            </td>
            <td class="viewDataNoR" valign="top">
                <asp:Literal ID="adminGroupLiteral" runat="server"></asp:Literal>&nbsp;
            </td>
        </tr>
        <tr>
            <td class="viewLabelNoR" colspan="4">
                <asp:Localize id="Localize12" runat="server" 
                    Text="<%$ Resources:kb, Keywords %>" />
            </td>
        </tr>
        <tr>
            <td class="viewDataNoR" colspan="4">
                <asp:Label ID="keywordsLabel" runat="server"></asp:Label>&nbsp;
            </td>
        </tr>
    </table>
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="viewLabelNoR" colspan="4">
                <asp:Localize id="Localize13" runat="server" 
                    Text="<%$ Resources:kb, Description %>" />
            </td>
        </tr>
        <tr>
            <td class="viewDataNoR" colspan="4">
                <asp:Label ID="catDescLabel" runat="server"></asp:Label>&nbsp;
            </td>
        </tr>
    </table>

    <table id="wizTable" runat="server" cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="viewLabelNoR">
                <asp:Localize id="Localize14" runat="server" 
                    Text="<%$ Resources:kb, QAWizards %>" />:
            </td>
        </tr>
        <tr>
            <td class="viewDataNoR">
                <asp:Literal ID="wizLinksLiteral" runat="server"></asp:Literal>&nbsp;
            </td>
        </tr>
    </table>

    <table id="articleHeader" runat="server" cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr><td>&nbsp;</td></tr>
        <tr>
            <td class="listTitle2">
                <asp:Localize id="Localize15" runat="server" 
                    Text="<%$ Resources:kb, Articles %>" />:
            </td>
        </tr>
    </table>
    <asp:GridView ID="articleGrid" runat="server" Width="100%" CellPadding="4"
        BorderWidth="0" GridLines="None" PageSize="15" 
        AutoGenerateColumns="False" 
        AllowSorting="True" OnSorting="articleGrid_Sorting" >
        <HeaderStyle HorizontalAlign="Left" />
        <Columns>
            <asp:HyperLinkField 
                DataNavigateUrlFields="art_id,ownerType,ownerID" 
                DataNavigateUrlFormatString=
                    "../Article/ArtDetailPage.aspx?artID={0}&ownerType={1}&ownerID={2}"
                DataTextField="art_id" 
                HeaderText="<%$ Resources:kb, Article_ID %>" 
                SortExpression="art_id">
                <ItemStyle CssClass="listData" />
            </asp:HyperLinkField>
            <asp:BoundField 
                DataField="art_title" 
                HeaderText="<%$ Resources:kb, Title %>" 
                SortExpression="art_title">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="art_views" 
                HeaderText="<%$ Resources:kb, Views %>" 
                SortExpression="art_views">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="art_up_votes" 
                HeaderText="<%$ Resources:kb, Up_Votes %>" 
                SortExpression="art_up_votes">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="art_total_votes" 
                HeaderText="<%$ Resources:kb, Total_Votes %>" 
                SortExpression="art_total_votes">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
        </Columns>
    </asp:GridView>
    <asp:HiddenField ID="artSortDirHidden" runat="server" />
    <asp:HiddenField ID="artSortExprHidden" runat="server" />
</asp:Content>
