<%@ page language="C#" masterpagefile="~/Common/Panel1.master" autoeventwireup="true" inherits="Rep_EditPage, nServiceDeploy" title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
            <td class="pathCell">
                <asp:HyperLink ID="hl1" runat="server" NavigateUrl="RepPage.aspx" 
                    CssClass="pathLink" Text="<%$ Resources:report, Reports %>" />
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <table align="center" width="50%" cellpadding="0" cellspacing="4" border="0">
        <tr>
            <td class="formTitle" colspan="4">
                <asp:Label ID="formTitleLabel" runat="server"></asp:Label>
            </td>
        </tr>
        <tr>
            <td class="formError" colspan="4">
                <asp:label id="errMsgLabel" runat="server"></asp:label>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Localize id="Localize1" runat="server" 
                    Text="<%$ Resources:report, ReportName %>" />: 
            </td>
            <td colspan="3">
                <input type="text" id="queryNameTxt" runat="server" size="50" maxlength="50">
            </td>
        </tr>
        <tr>
            <td valign="top">
                <asp:Localize id="Localize2" runat="server" 
                    Text="<%$ Resources:report, Description %>" />:  
            </td>
            <td colspan="3">
                <asp:TextBox ID="descTxt" runat="server" TextMode="MultiLine" 
                    Columns="50" Rows="3"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td valign="top">
                <asp:Localize id="Localize3" runat="server" 
                    Text="<%$ Resources:report, Report_user_group %>" />:  
            </td>
            <td colspan="3">
                <asp:DropDownList ID="userGrpDdl" runat="server">
                </asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td class="formCommand" colspan="4">
                <b><asp:Localize id="Localize4" runat="server" 
                    Text="<%$ Resources:report, Report_settings %>" />: </b>
            </td>
        </tr>
        <tr>
            <td nowrap="nowrap">
                <asp:Localize id="Localize5" runat="server" 
                    Text="<%$ Resources:report, Report_type %>" />: <br />
                <asp:DropDownList ID="reportTypeDdl" runat="server">
                    <asp:ListItem Text="<%$ Resources:report, Chart %>" Value="2"></asp:ListItem>
                    <asp:ListItem Text="<%$ Resources:report, Matrix %>" Value="3"></asp:ListItem>
                    <asp:ListItem Text="<%$ Resources:report, Aggregate %>" Value="4"></asp:ListItem>
                </asp:DropDownList>
            </td>
            <td>
                <asp:Localize id="Localize6" runat="server" 
                    Text="<%$ Resources:report, Category %>" />: <br />
                <asp:DropDownList ID="groupBy1Ddl" runat="server"></asp:DropDownList>
            </td>
            <td>
                <asp:Localize id="Localize7" runat="server" 
                    Text="<%$ Resources:report, Category_type %>" />: <br />
                <asp:DropDownList ID="groupBy1TypeDdl" runat="server">
                    <asp:ListItem Text="<%$ Resources:report, Hour %>"    Value="1"></asp:ListItem>
                    <asp:ListItem Text="<%$ Resources:report, Day %>"     Value="2"></asp:ListItem>
                    <asp:ListItem Text="<%$ Resources:report, Week %>"    Value="3"></asp:ListItem>
                    <asp:ListItem Text="<%$ Resources:report, Month %>"   Value="4"></asp:ListItem>
                    <asp:ListItem Text="<%$ Resources:report, Quarter %>" Value="5"></asp:ListItem>
                    <asp:ListItem Text="<%$ Resources:report, Year %>"    Value="6"></asp:ListItem>
                </asp:DropDownList>
            </td>
            <td>
                <asp:Localize id="Localize8" runat="server" 
                    Text="<%$ Resources:report, Series %>" />: <br />
                <asp:DropDownList ID="groupBy2Ddl" runat="server"></asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td>
                &nbsp;
            </td>
            <td nowrap="nowrap">
                <asp:Localize id="Localize9" runat="server" 
                    Text="<%$ Resources:report, Top_X_categories %>" />: <br />
                <input type="text" id="topGroupText" runat="server" size="20" maxlength="8">
            </td>
            <td nowrap="nowrap">
                <asp:Localize id="Localize10" runat="server" 
                    Text="<%$ Resources:report, Age_30x4_report_date %>" />: <br />
                <asp:TextBox ID="age304DateTxt" runat="server"></asp:TextBox>
                <asp:CompareValidator id="CompareValidator7" runat="server" 
                    ErrorMessage="<%$ Resources:report, Not_a_valid_date %>" 
                    ControlToValidate="age304DateTxt" 
                    Operator="DataTypeCheck" Type="Date">*</asp:CompareValidator>
            </td>
        </tr>
        <tr>
            <td rowspan="2" valign="top">
                <asp:Localize id="Localize11" runat="server" 
                    Text="<%$ Resources:report, For_aggregate %>" />:  
                <br />
                <asp:Localize id="Localize15" runat="server" 
                    Text="<%$ Resources:report, reports_only %>" />:  
            </td>
            <td colspan="3">
                <asp:Localize id="Localize12" runat="server" 
                    Text="<%$ Resources:report, AggregateFuncWithHint %>" />: <br />
                <input type="text" id="compFuncTxt" runat="server" size="65" maxlength="250">
            </td>
        </tr>
        <tr>
            <td colspan="3">
                <asp:Localize id="Localize13" runat="server" 
                    Text="<%$ Resources:report, AggregateLabelWithHint %>" />: <br />
                <input type="text" id="compLabelTxt" runat="server" size="65" maxlength="250">
            </td>
        </tr>
        <tr>
            <td class="formCommand" colspan="4">
                <b><asp:Localize id="Localize14" runat="server" 
                    Text="<%$ Resources:report, Conditions %>" />: </b>
                <asp:Localize id="Localize16" runat="server" 
                    Text="<%$ Resources:report, RepConditionHint %>" />
            </td>
        </tr>
        <tr>
            <td width="25%">
                <asp:Localize id="Localize21" runat="server" 
                    Text="<%$ Resources:report, Service_level %>" /> 1: <br />
                <asp:DropDownList ID="srvL1Ddl" runat="server" AutoPostBack="True" 
                    OnSelectedIndexChanged="srvL1Ddl_SelectedIndexChanged"></asp:DropDownList>
            </td>
            <td width="25%">
                <asp:Localize id="Localize22" runat="server" 
                    Text="<%$ Resources:report, Service_level %>" /> 2: <br />
                <asp:DropDownList ID="srvL2Ddl" runat="server" AutoPostBack="True" 
                    OnSelectedIndexChanged="srvL2Ddl_SelectedIndexChanged"></asp:DropDownList>
            </td>
            <td width="25%">
                <asp:Localize id="Localize23" runat="server" 
                    Text="<%$ Resources:report, Service_level %>" /> 3: <br />
                <asp:DropDownList ID="srvL3Ddl" runat="server" AutoPostBack="True" 
                    OnSelectedIndexChanged="srvL3Ddl_SelectedIndexChanged"></asp:DropDownList>
            </td>
            <td width="25%">
                <asp:Localize id="Localize24" runat="server" 
                    Text="<%$ Resources:report, Service_level %>" /> 4: <br />
                <asp:DropDownList ID="srvL4Ddl" runat="server" AutoPostBack="True" 
                    OnSelectedIndexChanged="srvL4Ddl_SelectedIndexChanged"></asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td class="formCommand">
                <asp:Localize id="Localize27" runat="server" 
                    Text="<%$ Resources:report, Status %>" /> #1: <br />
                <asp:DropDownList ID="statusDdl1" runat="server"></asp:DropDownList>
            </td>
            <td class="formCommand">
                <asp:Localize id="Localize28" runat="server" 
                    Text="<%$ Resources:report, OR_Status %>" /> #2: <br />
                <asp:DropDownList ID="statusDdl2" runat="server"></asp:DropDownList>
            </td>
            <td class="formCommand">
                <asp:Localize id="Localize29" runat="server" 
                    Text="<%$ Resources:report, OR_Status %>" /> #3: <br />
                <asp:DropDownList ID="statusDdl3" runat="server"></asp:DropDownList>
            </td>
            <td class="formCommand">
                <asp:Localize id="Localize30" runat="server" 
                    Text="<%$ Resources:report, OR_Status %>" /> #4: <br />
                <asp:DropDownList ID="statusDdl4" runat="server"></asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Localize id="Localize31" runat="server" 
                    Text="<%$ Resources:report, Organization_ID %>" />: <br />
                <input type="text" id="orgIDTxt" runat="server" size="20" maxlength="9">
            </td>
            <td>
                <asp:Localize id="Localize32" runat="server" 
                    Text="<%$ Resources:report, Priority %>" /> #1: <br />
                <asp:DropDownList ID="priorityDdl1" runat="server"></asp:DropDownList>
            </td>
            <td>
                <asp:Localize id="Localize33" runat="server" 
                    Text="<%$ Resources:report, OR_Priority %>" /> #2: <br />
                <asp:DropDownList ID="priorityDdl2" runat="server"></asp:DropDownList>
            </td>
            <td>
                <asp:Localize id="Localize34" runat="server" 
                    Text="<%$ Resources:report, OR_Priority %>" /> #3: <br />
                <asp:DropDownList ID="priorityDdl3" runat="server"></asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td class="formCommand">
                <asp:Localize id="Localize35" runat="server" 
                    Text="<%$ Resources:report, Submitter_ID %>" />: <br />
                <input type="text" id="submitterTxt" runat="server" size="20" maxlength="9">
            </td>
            <td class="formCommand">
                <asp:Localize id="Localize36" runat="server" 
                    Text="<%$ Resources:report, Submitted_on %>" />: <br />
                <asp:DropDownList ID="submittedOnDdl" runat="server">
                    <asp:ListItem Text="<%$ Resources:report, DonotCare %>"    Value="0" />
                    <asp:ListItem Text="<%$ Resources:report, Yesterday %>"    Value="1" />
                    <asp:ListItem Text="<%$ Resources:report, Today %>"        Value="2" />
                    <asp:ListItem Text="<%$ Resources:report, Tomorrow %>"     Value="3" />
                    <asp:ListItem Text="<%$ Resources:report, Last_Week %>"    Value="4" />
                    <asp:ListItem Text="<%$ Resources:report, This_Week %>"    Value="5" />
                    <asp:ListItem Text="<%$ Resources:report, Next_Week %>"    Value="6" />
                    <asp:ListItem Text="<%$ Resources:report, Last_Month %>"   Value="7" />
                    <asp:ListItem Text="<%$ Resources:report, This_Month %>"   Value="8" />
                    <asp:ListItem Text="<%$ Resources:report, Next_Month %>"   Value="9" />
                    <asp:ListItem Text="<%$ Resources:report, Last_Quarter %>" Value="10" />
                    <asp:ListItem Text="<%$ Resources:report, This_Quarter %>" Value="11" />
                    <asp:ListItem Text="<%$ Resources:report, Next_Quarter %>" Value="12" />
                    <asp:ListItem Text="<%$ Resources:report, Last_Year %>"    Value="13" />
                    <asp:ListItem Text="<%$ Resources:report, This_Year %>"    Value="14" />
                    <asp:ListItem Text="<%$ Resources:report, Next_Year %>"    Value="15" />
                    <asp:ListItem Text="<%$ Resources:report, Date_Range %>"   Value="20" />
                </asp:DropDownList>
            </td>
            <td class="formCommand" nowrap="nowrap">
                <asp:Localize id="Localize37" runat="server" 
                    Text="<%$ Resources:report, Submitted_on_gteq %>" />: <br />
                <asp:TextBox ID="submittedOnTxt1" runat="server"></asp:TextBox>
                <asp:CompareValidator id="CompareValidator1" runat="server" 
                    ErrorMessage="<%$ Resources:report, Not_a_valid_date %>" 
                    ControlToValidate="submittedOnTxt1" 
                    Operator="DataTypeCheck" Type="Date">*</asp:CompareValidator>
            </td>
            <td class="formCommand" nowrap="nowrap">
                <asp:Localize id="Localize38" runat="server" 
                    Text="<%$ Resources:report, Submitted_on_lt %>" />: <br />
                <asp:TextBox ID="submittedOnTxt2" runat="server"></asp:TextBox>
                <asp:CompareValidator id="CompareValidator2" runat="server" 
                    ErrorMessage="<%$ Resources:report, Not_a_valid_date %>" 
                    ControlToValidate="submittedOnTxt2" 
                    Operator="DataTypeCheck" Type="Date">*</asp:CompareValidator>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Localize id="Localize39" runat="server" 
                    Text="<%$ Resources:report, Assigned_to %>" />:  <br />
                <asp:DropDownList ID="assignedToDdl" runat="server"></asp:DropDownList>
            </td>
            <td>
                <asp:Localize id="Localize40" runat="server" 
                    Text="<%$ Resources:report, Due_on %>" />: <br />
                <asp:DropDownList ID="dueOnDdl" runat="server">
                    <asp:ListItem Text="<%$ Resources:report, DonotCare %>"    Value="0" />
                    <asp:ListItem Text="<%$ Resources:report, Yesterday %>"    Value="1" />
                    <asp:ListItem Text="<%$ Resources:report, Today %>"        Value="2" />
                    <asp:ListItem Text="<%$ Resources:report, Tomorrow %>"     Value="3" />
                    <asp:ListItem Text="<%$ Resources:report, Last_Week %>"    Value="4" />
                    <asp:ListItem Text="<%$ Resources:report, This_Week %>"    Value="5" />
                    <asp:ListItem Text="<%$ Resources:report, Next_Week %>"    Value="6" />
                    <asp:ListItem Text="<%$ Resources:report, Last_Month %>"   Value="7" />
                    <asp:ListItem Text="<%$ Resources:report, This_Month %>"   Value="8" />
                    <asp:ListItem Text="<%$ Resources:report, Next_Month %>"   Value="9" />
                    <asp:ListItem Text="<%$ Resources:report, Last_Quarter %>" Value="10" />
                    <asp:ListItem Text="<%$ Resources:report, This_Quarter %>" Value="11" />
                    <asp:ListItem Text="<%$ Resources:report, Next_Quarter %>" Value="12" />
                    <asp:ListItem Text="<%$ Resources:report, Last_Year %>"    Value="13" />
                    <asp:ListItem Text="<%$ Resources:report, This_Year %>"    Value="14" />
                    <asp:ListItem Text="<%$ Resources:report, Next_Year %>"    Value="15" />
                    <asp:ListItem Text="<%$ Resources:report, Date_Range %>"   Value="20" />
                </asp:DropDownList>
            </td>
            <td nowrap="nowrap">
                <asp:Localize id="Localize41" runat="server" 
                    Text="<%$ Resources:report, Due_on_gteq %>" />: <br />
                <asp:TextBox ID="dueOnTxt1" runat="server"></asp:TextBox>
                <asp:CompareValidator id="CompareValidator3" runat="server" 
                    ErrorMessage="<%$ Resources:report, Not_a_valid_date %>" 
                    ControlToValidate="dueOnTxt1" 
                    Operator="DataTypeCheck" Type="Date">*</asp:CompareValidator>
            </td>
            <td nowrap="nowrap">
                <asp:Localize id="Localize42" runat="server" 
                    Text="<%$ Resources:report, Due_on_lt %>" />: <br />
                <asp:TextBox ID="dueOnTxt2" runat="server"></asp:TextBox>
                <asp:CompareValidator id="CompareValidator4" runat="server" 
                    ErrorMessage="<%$ Resources:report, Not_a_valid_date %>" 
                    ControlToValidate="dueOnTxt2" 
                    Operator="DataTypeCheck" Type="Date">*</asp:CompareValidator>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Localize id="Localize43" runat="server" 
                    Text="<%$ Resources:report, Closed_By %>" />: <br />
                <asp:DropDownList ID="closedByDdl" runat="server"></asp:DropDownList>
            </td>
            <td>
                <asp:Localize id="Localize44" runat="server" 
                    Text="<%$ Resources:report, Closed_On %>" />: <br />
                <asp:DropDownList ID="closedOnDdl" runat="server">
                    <asp:ListItem Text="<%$ Resources:report, DonotCare %>"    Value="0" />
                    <asp:ListItem Text="<%$ Resources:report, Yesterday %>"    Value="1" />
                    <asp:ListItem Text="<%$ Resources:report, Today %>"        Value="2" />
                    <asp:ListItem Text="<%$ Resources:report, Tomorrow %>"     Value="3" />
                    <asp:ListItem Text="<%$ Resources:report, Last_Week %>"    Value="4" />
                    <asp:ListItem Text="<%$ Resources:report, This_Week %>"    Value="5" />
                    <asp:ListItem Text="<%$ Resources:report, Next_Week %>"    Value="6" />
                    <asp:ListItem Text="<%$ Resources:report, Last_Month %>"   Value="7" />
                    <asp:ListItem Text="<%$ Resources:report, This_Month %>"   Value="8" />
                    <asp:ListItem Text="<%$ Resources:report, Next_Month %>"   Value="9" />
                    <asp:ListItem Text="<%$ Resources:report, Last_Quarter %>" Value="10" />
                    <asp:ListItem Text="<%$ Resources:report, This_Quarter %>" Value="11" />
                    <asp:ListItem Text="<%$ Resources:report, Next_Quarter %>" Value="12" />
                    <asp:ListItem Text="<%$ Resources:report, Last_Year %>"    Value="13" />
                    <asp:ListItem Text="<%$ Resources:report, This_Year %>"    Value="14" />
                    <asp:ListItem Text="<%$ Resources:report, Next_Year %>"    Value="15" />
                    <asp:ListItem Text="<%$ Resources:report, Date_Range %>"   Value="20" />
                </asp:DropDownList>
            </td>
            <td nowrap="nowrap">
                <asp:Localize id="Localize45" runat="server" 
                    Text="<%$ Resources:report, Closed_on_gteq %>" />: <br />
                <asp:TextBox ID="closedOnTxt1" runat="server"></asp:TextBox>
                <asp:CompareValidator id="CompareValidator5" runat="server" 
                    ErrorMessage="<%$ Resources:report, Not_a_valid_date %>" 
                    ControlToValidate="closedOnTxt1" 
                    Operator="DataTypeCheck" Type="Date">*</asp:CompareValidator>
            </td>
            <td nowrap="nowrap">
                <asp:Localize id="Localize46" runat="server" 
                    Text="<%$ Resources:report, Closed_on_lt %>" />: <br />
                <asp:TextBox ID="closedOnTxt2" runat="server"></asp:TextBox>
                <asp:CompareValidator id="CompareValidator6" runat="server" 
                    ErrorMessage="<%$ Resources:report, Not_a_valid_date %>" 
                    ControlToValidate="closedOnTxt2" 
                    Operator="DataTypeCheck" Type="Date">*</asp:CompareValidator>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                SQL Where:<br />
                <input type="text" id="sqlWhereTxt" runat="server" size="45" maxlength="200">
            </td>
            <td colspan="2" valign="top">
                <asp:Localize id="Localize47" runat="server" 
                    Text="<%$ Resources:report, DateFormatHint %>" />
            </td>
        </tr>
        <tr>
            <td class="formCommand" align="center" colspan="4">
                <input type="submit" id="Submit1" runat="server" 
                    value="<%$ Resources:report, Run %>" 
                    onserverclick="runButton_ServerClick">
                &nbsp;&nbsp;
                <input type="submit"  id="searchButton" runat="server" 
                    value="<%$ Resources:report, Save %>"
                    onserverclick="saveButton_ServerClick">
            </td>
        </tr>
    </table>
</asp:Content>

