<%@ page language="C#" masterpagefile="~/Common/Panel1.master" autoeventwireup="true" inherits="Sr_QueryPage, nServiceDeploy" title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
            <td class="pathCell">
                <asp:HyperLink id="hpl1" runat="server"
                    NavigateUrl="SrPage.aspx" CssClass="pathLink"
                    Text="<%$ Resources:sr, Service_Requests %>" />
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <table align="center" width="50%" cellpadding="0" cellspacing="4" border="0">
        <tr>
            <td class="formTitle" colspan="4">
                <asp:Label ID="formTitleLabel" runat="server"></asp:Label>
            </td>
        </tr>
        <tr>
            <td class="formError" colspan="4">
                <asp:label id="errMsgLabel" runat="server"></asp:label>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Localize id="Localize1" runat="server" 
                    Text="<%$ Resources:sr, Query_Name %>" />: 
            </td>
            <td colspan="3">
                <input type="text" id="queryNameTxt" runat="server" size="50" maxlength="50">
            </td>
        </tr>
        <tr>
            <td valign="top">
                <asp:Localize id="Localize2" runat="server" 
                    Text="<%$ Resources:sr, Description %>" />: 
            </td>
            <td colspan="3">
                <asp:TextBox ID="descTxt" runat="server" TextMode="MultiLine" 
                    Columns="50" Rows="3"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td class="formCommand" colspan="4">
                <b><asp:Localize id="Localize3" runat="server" 
                    Text="<%$ Resources:sr, Display %>" />:</b>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Localize id="Localize4" runat="server" 
                    Text="<%$ Resources:sr, Column %>" /> 1: <br />
                <asp:DropDownList ID="col1Ddl" runat="server"></asp:DropDownList>
            </td>
            <td>
                <asp:Localize id="Localize5" runat="server" 
                    Text="<%$ Resources:sr, Column %>" /> 2: <br />
                <asp:DropDownList ID="col2Ddl" runat="server"></asp:DropDownList>
            </td>
            <td>
                <asp:Localize id="Localize6" runat="server" 
                    Text="<%$ Resources:sr, Column %>" /> 3: <br />
                <asp:DropDownList ID="col3Ddl" runat="server"></asp:DropDownList>
            </td>
            <td>
                <asp:Localize id="Localize7" runat="server" 
                    Text="<%$ Resources:sr, Column %>" /> 4: <br />
                <asp:DropDownList ID="col4Ddl" runat="server"></asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Localize id="Localize8" runat="server" 
                    Text="<%$ Resources:sr, Column %>" /> 5: <br />
                <asp:DropDownList ID="col5Ddl" runat="server"></asp:DropDownList>
            </td>
            <td>
                <asp:Localize id="Localize9" runat="server" 
                    Text="<%$ Resources:sr, Column %>" /> 6: <br />
                <asp:DropDownList ID="col6Ddl" runat="server"></asp:DropDownList>
            </td>
            <td>
                <asp:Localize id="Localize10" runat="server" 
                    Text="<%$ Resources:sr, Column %>" /> 7: <br />
                <asp:DropDownList ID="col7Ddl" runat="server"></asp:DropDownList>
            </td>
            <td>
                <asp:Localize id="Localize11" runat="server" 
                    Text="<%$ Resources:sr, Column %>" /> 8: <br />
                <asp:DropDownList ID="col8Ddl" runat="server"></asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td class="formCommand">
                <asp:Localize id="Localize12" runat="server" 
                    Text="<%$ Resources:sr, Order_by %>" /> 1: <br />
                <asp:DropDownList ID="orderBy1Ddl" runat="server"></asp:DropDownList>
            </td>
            <td class="formCommand">
                &nbsp<br />
                <asp:DropDownList ID="orderBy1DirDdl" runat="server">
                    <asp:ListItem Value="1" Text="<%$ Resources:sr, Ascending %>" />
                    <asp:ListItem Value="0" Text="<%$ Resources:sr, Descending %>" />
                </asp:DropDownList>
            </td>
            <td class="formCommand">
                <asp:Localize id="Localize13" runat="server" 
                    Text="<%$ Resources:sr, Order_by %>" /> 2: <br />
                <asp:DropDownList ID="orderBy2Ddl" runat="server"></asp:DropDownList>
            </td>
            <td class="formCommand">
                &nbsp<br />
                <asp:DropDownList ID="orderBy2DirDdl" runat="server">
                    <asp:ListItem Value="1" Text="<%$ Resources:sr, Ascending %>" />
                    <asp:ListItem Value="0" Text="<%$ Resources:sr, Descending %>" />
                </asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Localize id="Localize14" runat="server" 
                    Text="<%$ Resources:sr, Group_by %>" /> 1:<br />
                <asp:DropDownList ID="groupBy1Ddl" runat="server"></asp:DropDownList>
            </td>
            <td>
                <asp:Localize id="Localize15" runat="server" 
                    Text="<%$ Resources:sr, Group_by %>" /> 2:<br />
                <asp:DropDownList ID="groupBy2Ddl" runat="server"></asp:DropDownList>
            </td>
            <td nowrap="nowrap">
                <asp:Localize id="Localize16" runat="server" 
                    Text="<%$ Resources:sr, Max_records %>" />: <br />
                <input type="text" id="maxRecText" runat="server" size="20" maxlength="8">
            </td>
            <td nowrap="nowrap">
                <asp:Localize id="Localize17" runat="server" 
                    Text="<%$ Resources:sr, RecordPerPage %>" />: <br />
                <input type="text" id="recPageText" runat="server" size="20" maxlength="8">
            </td>
        </tr>
        <tr>
            <td class="formCommand" colspan="4">
                <b><asp:Localize id="Localize18" runat="server" 
                    Text="<%$ Resources:sr, Conditions %>" />:</b>
                <asp:Localize id="Localize19" runat="server" 
                    Text="<%$ Resources:sr, QueryConditionHint %>" />
            </td>
        </tr>
        <tr>
            <td width="25%">
                <asp:Localize id="Localize20" runat="server" 
                    Text="<%$ Resources:sr, KeywordsWithEG %>" />: <br />
                <asp:TextBox ID="keywordsTxt" runat="server" Columns="20" MaxLength="50"
                    TextMode="singleLine"></asp:TextBox>
            </td>
            <td width="25%">
                <asp:Localize id="Localize21" runat="server" 
                    Text="<%$ Resources:sr, Service_level %>" /> 1: <br />
                <asp:DropDownList ID="srvL1Ddl" runat="server" AutoPostBack="True" 
                    OnSelectedIndexChanged="srvL1Ddl_SelectedIndexChanged"></asp:DropDownList>
            </td>
            <td width="25%">
                <asp:Localize id="Localize22" runat="server" 
                    Text="<%$ Resources:sr, Service_level %>" /> 2: <br />
                <asp:DropDownList ID="srvL2Ddl" runat="server" AutoPostBack="True" 
                    OnSelectedIndexChanged="srvL2Ddl_SelectedIndexChanged"></asp:DropDownList>
            </td>
            <td width="25%">
                <asp:Localize id="Localize23" runat="server" 
                    Text="<%$ Resources:sr, Service_level %>" /> 3: <br />
                <asp:DropDownList ID="srvL3Ddl" runat="server" AutoPostBack="True" 
                    OnSelectedIndexChanged="srvL3Ddl_SelectedIndexChanged"></asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td>
                &nbsp;
            </td>
            <td>
                <asp:Localize id="Localize24" runat="server" 
                    Text="<%$ Resources:sr, Service_level %>" /> 4: <br />
                <asp:DropDownList ID="srvL4Ddl" runat="server" AutoPostBack="True" 
                    OnSelectedIndexChanged="srvL4Ddl_SelectedIndexChanged"></asp:DropDownList>
            </td>
            <td>
                <asp:Localize id="Localize25" runat="server" 
                    Text="<%$ Resources:sr, Service_level %>" /> 5: <br />
                <asp:DropDownList ID="srvL5Ddl" runat="server" AutoPostBack="True" 
                    OnSelectedIndexChanged="srvL5Ddl_SelectedIndexChanged"></asp:DropDownList>
            </td>
            <td>
                <asp:Localize id="Localize26" runat="server" 
                    Text="<%$ Resources:sr, Service_level %>" /> 6: <br />
                <asp:DropDownList ID="srvL6Ddl" runat="server"></asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td class="formCommand">
                <asp:Localize id="Localize27" runat="server" 
                    Text="<%$ Resources:sr, Status %>" /> #1: <br />
                <asp:DropDownList ID="statusDdl1" runat="server"></asp:DropDownList>
            </td>
            <td class="formCommand">
                <asp:Localize id="Localize28" runat="server" 
                    Text="<%$ Resources:sr, OR_Status %>" /> #2: <br />
                <asp:DropDownList ID="statusDdl2" runat="server"></asp:DropDownList>
            </td>
            <td class="formCommand">
                <asp:Localize id="Localize29" runat="server" 
                    Text="<%$ Resources:sr, OR_Status %>" /> #3: <br />
                <asp:DropDownList ID="statusDdl3" runat="server"></asp:DropDownList>
            </td>
            <td class="formCommand">
                <asp:Localize id="Localize30" runat="server" 
                    Text="<%$ Resources:sr, OR_Status %>" /> #4: <br />
                <asp:DropDownList ID="statusDdl4" runat="server"></asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Localize id="Localize31" runat="server" 
                    Text="<%$ Resources:sr, Organization_ID %>" />: <br />
                <input type="text" id="orgIDTxt" runat="server" size="20" maxlength="9">
            </td>
            <td>
                <asp:Localize id="Localize32" runat="server" 
                    Text="<%$ Resources:sr, Priority %>" /> #1: <br />
                <asp:DropDownList ID="priorityDdl1" runat="server"></asp:DropDownList>
            </td>
            <td>
                <asp:Localize id="Localize33" runat="server" 
                    Text="<%$ Resources:sr, OR_Priority %>" /> #2: <br />
                <asp:DropDownList ID="priorityDdl2" runat="server"></asp:DropDownList>
            </td>
            <td>
                <asp:Localize id="Localize34" runat="server" 
                    Text="<%$ Resources:sr, OR_Priority %>" /> #3: <br />
                <asp:DropDownList ID="priorityDdl3" runat="server"></asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td class="formCommand">
                <asp:Localize id="Localize35" runat="server" 
                    Text="<%$ Resources:sr, Submitter_ID %>" />: <br />
                <input type="text" id="submitterTxt" runat="server" size="20" maxlength="9">
            </td>
            <td class="formCommand">
                <asp:Localize id="Localize36" runat="server" 
                    Text="<%$ Resources:sr, Submitted_on %>" />: <br />
                <asp:DropDownList ID="submittedOnDdl" runat="server">
                    <asp:ListItem Text="<%$ Resources:sr, DonotCare %>"    Value="0" />
                    <asp:ListItem Text="<%$ Resources:sr, Yesterday %>"    Value="1" />
                    <asp:ListItem Text="<%$ Resources:sr, Today %>"        Value="2" />
                    <asp:ListItem Text="<%$ Resources:sr, Tomorrow %>"     Value="3" />
                    <asp:ListItem Text="<%$ Resources:sr, Last_Week %>"    Value="4" />
                    <asp:ListItem Text="<%$ Resources:sr, This_Week %>"    Value="5" />
                    <asp:ListItem Text="<%$ Resources:sr, Next_Week %>"    Value="6" />
                    <asp:ListItem Text="<%$ Resources:sr, Last_Month %>"   Value="7" />
                    <asp:ListItem Text="<%$ Resources:sr, This_Month %>"   Value="8" />
                    <asp:ListItem Text="<%$ Resources:sr, Next_Month %>"   Value="9" />
                    <asp:ListItem Text="<%$ Resources:sr, Last_Quarter %>" Value="10" />
                    <asp:ListItem Text="<%$ Resources:sr, This_Quarter %>" Value="11" />
                    <asp:ListItem Text="<%$ Resources:sr, Next_Quarter %>" Value="12" />
                    <asp:ListItem Text="<%$ Resources:sr, Last_Year %>"    Value="13" />
                    <asp:ListItem Text="<%$ Resources:sr, This_Year %>"    Value="14" />
                    <asp:ListItem Text="<%$ Resources:sr, Next_Year %>"    Value="15" />
                    <asp:ListItem Text="<%$ Resources:sr, Date_Range %>"   Value="20" />
                </asp:DropDownList>
            </td>
            <td class="formCommand" nowrap="nowrap">
                <asp:Localize id="Localize37" runat="server" 
                    Text="<%$ Resources:sr, Submitted_on_gteq %>" />: <br />
                <asp:TextBox ID="submittedOnTxt1" runat="server"></asp:TextBox>
                <asp:CompareValidator id="CompareValidator1" runat="server" 
                    ErrorMessage="<%$ Resources:sr, Not_a_valid_date %>" 
                    ControlToValidate="submittedOnTxt1" 
                    Operator="DataTypeCheck" Type="Date">*</asp:CompareValidator>
            </td>
            <td class="formCommand" nowrap="nowrap">
                <asp:Localize id="Localize38" runat="server" 
                    Text="<%$ Resources:sr, Submitted_on_lt %>" />: <br />
                <asp:TextBox ID="submittedOnTxt2" runat="server"></asp:TextBox>
                <asp:CompareValidator id="CompareValidator2" runat="server" 
                    ErrorMessage="<%$ Resources:sr, Not_a_valid_date %>" 
                    ControlToValidate="submittedOnTxt2" 
                    Operator="DataTypeCheck" Type="Date">*</asp:CompareValidator>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Localize id="Localize39" runat="server" 
                    Text="<%$ Resources:sr, Assigned_to %>" />:  <br />
                <asp:DropDownList ID="assignedToDdl" runat="server"></asp:DropDownList>
            </td>
            <td>
                <asp:Localize id="Localize40" runat="server" 
                    Text="<%$ Resources:sr, Due_on %>" />: <br />
                <asp:DropDownList ID="dueOnDdl" runat="server">
                    <asp:ListItem Text="<%$ Resources:sr, DonotCare %>"    Value="0" />
                    <asp:ListItem Text="<%$ Resources:sr, Yesterday %>"    Value="1" />
                    <asp:ListItem Text="<%$ Resources:sr, Today %>"        Value="2" />
                    <asp:ListItem Text="<%$ Resources:sr, Tomorrow %>"     Value="3" />
                    <asp:ListItem Text="<%$ Resources:sr, Last_Week %>"    Value="4" />
                    <asp:ListItem Text="<%$ Resources:sr, This_Week %>"    Value="5" />
                    <asp:ListItem Text="<%$ Resources:sr, Next_Week %>"    Value="6" />
                    <asp:ListItem Text="<%$ Resources:sr, Last_Month %>"   Value="7" />
                    <asp:ListItem Text="<%$ Resources:sr, This_Month %>"   Value="8" />
                    <asp:ListItem Text="<%$ Resources:sr, Next_Month %>"   Value="9" />
                    <asp:ListItem Text="<%$ Resources:sr, Last_Quarter %>" Value="10" />
                    <asp:ListItem Text="<%$ Resources:sr, This_Quarter %>" Value="11" />
                    <asp:ListItem Text="<%$ Resources:sr, Next_Quarter %>" Value="12" />
                    <asp:ListItem Text="<%$ Resources:sr, Last_Year %>"    Value="13" />
                    <asp:ListItem Text="<%$ Resources:sr, This_Year %>"    Value="14" />
                    <asp:ListItem Text="<%$ Resources:sr, Next_Year %>"    Value="15" />
                    <asp:ListItem Text="<%$ Resources:sr, Date_Range %>"   Value="20" />
                </asp:DropDownList>
            </td>
            <td nowrap="nowrap">
                <asp:Localize id="Localize41" runat="server" 
                    Text="<%$ Resources:sr, Due_on_gteq %>" />: <br />
                <asp:TextBox ID="dueOnTxt1" runat="server"></asp:TextBox>
                <asp:CompareValidator id="CompareValidator3" runat="server" 
                    ErrorMessage="<%$ Resources:sr, Not_a_valid_date %>" 
                    ControlToValidate="dueOnTxt1" 
                    Operator="DataTypeCheck" Type="Date">*</asp:CompareValidator>
            </td>
            <td nowrap="nowrap">
                <asp:Localize id="Localize42" runat="server" 
                    Text="<%$ Resources:sr, Due_on_lt %>" />: <br />
                <asp:TextBox ID="dueOnTxt2" runat="server"></asp:TextBox>
                <asp:CompareValidator id="CompareValidator4" runat="server" 
                    ErrorMessage="<%$ Resources:sr, Not_a_valid_date %>" 
                    ControlToValidate="dueOnTxt2" 
                    Operator="DataTypeCheck" Type="Date">*</asp:CompareValidator>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Localize id="Localize43" runat="server" 
                    Text="<%$ Resources:sr, Closed_By %>" />: <br />
                <asp:DropDownList ID="closedByDdl" runat="server"></asp:DropDownList>
            </td>
            <td>
                <asp:Localize id="Localize44" runat="server" 
                    Text="<%$ Resources:sr, Closed_On %>" />: <br />
                <asp:DropDownList ID="closedOnDdl" runat="server">
                    <asp:ListItem Text="<%$ Resources:sr, DonotCare %>"    Value="0" />
                    <asp:ListItem Text="<%$ Resources:sr, Yesterday %>"    Value="1" />
                    <asp:ListItem Text="<%$ Resources:sr, Today %>"        Value="2" />
                    <asp:ListItem Text="<%$ Resources:sr, Tomorrow %>"     Value="3" />
                    <asp:ListItem Text="<%$ Resources:sr, Last_Week %>"    Value="4" />
                    <asp:ListItem Text="<%$ Resources:sr, This_Week %>"    Value="5" />
                    <asp:ListItem Text="<%$ Resources:sr, Next_Week %>"    Value="6" />
                    <asp:ListItem Text="<%$ Resources:sr, Last_Month %>"   Value="7" />
                    <asp:ListItem Text="<%$ Resources:sr, This_Month %>"   Value="8" />
                    <asp:ListItem Text="<%$ Resources:sr, Next_Month %>"   Value="9" />
                    <asp:ListItem Text="<%$ Resources:sr, Last_Quarter %>" Value="10" />
                    <asp:ListItem Text="<%$ Resources:sr, This_Quarter %>" Value="11" />
                    <asp:ListItem Text="<%$ Resources:sr, Next_Quarter %>" Value="12" />
                    <asp:ListItem Text="<%$ Resources:sr, Last_Year %>"    Value="13" />
                    <asp:ListItem Text="<%$ Resources:sr, This_Year %>"    Value="14" />
                    <asp:ListItem Text="<%$ Resources:sr, Next_Year %>"    Value="15" />
                    <asp:ListItem Text="<%$ Resources:sr, Date_Range %>"   Value="20" />
                </asp:DropDownList>
            </td>
            <td nowrap="nowrap">
                <asp:Localize id="Localize45" runat="server" 
                    Text="<%$ Resources:sr, Closed_on_gteq %>" />: <br />
                <asp:TextBox ID="closedOnTxt1" runat="server"></asp:TextBox>
                <asp:CompareValidator id="CompareValidator5" runat="server" 
                    ErrorMessage="<%$ Resources:sr, Not_a_valid_date %>" 
                    ControlToValidate="closedOnTxt1" 
                    Operator="DataTypeCheck" Type="Date">*</asp:CompareValidator>
            </td>
            <td nowrap="nowrap">
                <asp:Localize id="Localize46" runat="server" 
                    Text="<%$ Resources:sr, Closed_on_lt %>" />: <br />
                <asp:TextBox ID="closedOnTxt2" runat="server"></asp:TextBox>
                <asp:CompareValidator id="CompareValidator6" runat="server" 
                    ErrorMessage="<%$ Resources:sr, Not_a_valid_date %>" 
                    ControlToValidate="closedOnTxt2" 
                    Operator="DataTypeCheck" Type="Date">*</asp:CompareValidator>
            </td>
        </tr>
        <tr>
            <td colspan="2">
            </td>
            <td colspan="2">
                <asp:Localize id="Localize47" runat="server" 
                    Text="<%$ Resources:sr, DateFormatHint %>" />
            </td>
        </tr>
        <tr>
            <td class="formCommand" align="center" colspan="4">
                <input type="submit" id="Submit1" runat="server" 
                    value="<%$ Resources:sr, Run %>" 
                    onserverclick="runButton_ServerClick">
                &nbsp;&nbsp;
                <input type="submit"  id="searchButton" runat="server" 
                    value="<%$ Resources:sr, Save %>"
                    onserverclick="saveButton_ServerClick">
            </td>
        </tr>
    </table>
</asp:Content>

